VARKON Version 1.15 1997-10-24

> ## ident - Function

> Pick entity with mouse
> Description
> Interactive pick function. Lets a user identify an entity with the mouse and returns its global identity.
> Syntax
> ident(typemask, end, side)

> INT | typemask;
> INT | end;
> INT | side;

> Principal parameters

> typemask | - Type of entitiy to pick. Multiple types can be combined to a typemask by adding their
> | type codes. See GET_HDR for the complete list of type codes.

> Optional parameters

> end | - A variable to recieve end information. 0 = Start, 1 = End.
> side | - A variable to recieve side information. 0 = Right, 1 = Left.

> Return value
> A REF holding the global identity of the entity picked or #0 if the operation was rejected by the user.
> Examples
> id:=ident(2+4+8);
> Turns the pick cursor on and waits for the user to pick a line (2), arc (4) or curve(8).
> id:=ident(65535);
> Lets the user pick an entity of any type.
> id:=ident(4, end, side);
> Lets the user pick a line. The end variable returns which end of the line that was closest to the cursor when the mouse was clicked. The side variable returns weather the cursor was on the right or left side of the line.
> Comments
> End or side information is only applicable to lines, arcs and curves.
> Entities with the HIT attribute set to zero can not be picked.
> Entities of certain types may be selected interactively by using the keybord instead of the mouse buttons when picking.

VARKON Homepage | Index